Main Page Widgets glibmm Namespaces Book

# Glib::Value< bool > Class Template Reference
[Generic Values]

Inheritance diagram for Glib::Value< bool >:

[legend]
List of all members.

## Public Types
typedef bool | CppType
typedef gboolean | CType
## Public Member Functions
void | set (bool data)
bool | get () const
## Static Public Member Functions
static GType | value_type () G_GNUC_CONST

### template<>
class Glib::Value< bool >

## Member Typedef Documentation

typedef bool Glib::Value<bool>::CppType

typedef gboolean Glib::Value<bool>::CType

## Member Function Documentation

static GType Glib::Value<bool>::value_type | ( |  | ) | `[static]`

void Glib::Value<bool>::set | ( | bool | data | ) |

bool Glib::Value<bool>::get | ( |  | ) | const

The documentation for this class was generated from the following file:

- value_basictypes.h